### Constructor

# St Button new_with_label

#### Declaration [src]

    StWidget*
    st_button_new_with_label (
      const gchar* text
    )

#### Description [src]

Create a new `StButton` with the specified label.

#### Parameters

`text`

  Type: `const gchar*`

  Text to set the label to.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `StWidget`

A new `StButton`.

The data is owned by the called function.